1 |
slords |
1.1 |
diff -Nur -x '*.orig' -x '*.rej' e-smith-base-4.18.0/root/sbin/e-smith/nonetworkdrivers mezzanine_patched_e-smith-base-4.18.0/root/sbin/e-smith/nonetworkdrivers |
2 |
|
|
--- e-smith-base-4.18.0/root/sbin/e-smith/nonetworkdrivers 2005-11-20 23:28:11.000000000 -0500 |
3 |
|
|
+++ mezzanine_patched_e-smith-base-4.18.0/root/sbin/e-smith/nonetworkdrivers 2007-06-19 11:51:52.000000000 -0400 |
4 |
|
|
@@ -1,5 +1,11 @@ |
5 |
|
|
#! /bin/sh |
6 |
|
|
|
7 |
|
|
+# quit early and quietly if this is not going to work |
8 |
|
|
+test -x "/sbin/kmodule" || exit 0 |
9 |
|
|
+# TODO - find out whether there is a "wrong module" problem |
10 |
|
|
+# in CentOS5 - this script may be a workaround for a |
11 |
|
|
+# problem which we don't ever see any more |
12 |
|
|
+ |
13 |
|
|
# unload any network drivers which have been installed |
14 |
|
|
# by rc.sysinit, so that we can allocate eth0/eth1 as we |
15 |
|
|
# choose, rather than in order defined by kmodule |